using Syntriax.Engine.Core;
using Syntriax.Engine.Physics2D.Abstract;

namespace Syntriax.Engine.Physics2D;

public class Collider2DCircleBehaviour : Collider2DBehaviourBase, ICircleCollider2D
{
    public Circle CircleWorld { get; protected set; } = Circle.UnitCircle;
    public Circle CircleLocal { get; set; } = Circle.UnitCircle;

    public override void CalculateCollider() => CircleWorld = Transform.TransformCircle(CircleLocal);

    public Collider2DCircleBehaviour() { }
    public Collider2DCircleBehaviour(Circle circle) => CircleLocal = circle;
}
